Bug 698449 - [RFE] Add optional nss map read retries
Summary: [RFE] Add optional nss map read retries
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: autofs
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Ian Kent
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-04-20 21:45 UTC by Neal Kim
Modified: 2018-02-09 16:29 UTC (History)
2 users (show)

Fixed In Version: autofs-5.1.4-5.fc26 autofs-5.1.4-5.fc27
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-09 11:27:34 UTC
Type: ---


Attachments (Terms of Use)
[PATCH] autofs 5.0.5 - add optional nss map read retries (7.06 KB, patch)
2011-04-20 21:47 UTC, Neal Kim
no flags Details | Diff

Description Neal Kim 2011-04-20 21:45:31 UTC
Description of problem:

RFE Filed on behalf of Lars R. Damerow @ Pixar

We have cases where we need to tell large numbers of machines to reload their maps in a short time. All of these machines are configured to read maps from LDAP, and sudden avalanche of requests makes our LDAP servers bog down and run out of file descriptors. A good number of automount processes then can't connect to LDAP and shut down for a lack of map information.

We'd like automount to behave better in this regard. One approach that may work for us would be a configurable number of retry attempts along with a configurable delay between attempts. I've coded a proof-of-concept patch for this and have attached it here; it works well in my small-scale testing. It defaults to no retries, so admins that don't explicitly turn it on won't see any difference, but the others can have a little insurance against disappearing automounters.


Version-Release number of selected component (if applicable):

autofs-5.0.5-x

Comment 1 Neal Kim 2011-04-20 21:47:13 UTC
Created attachment 493644 [details]
[PATCH] autofs 5.0.5 - add optional nss map read retries

Comment 2 Ian Kent 2011-04-21 00:26:39 UTC
Thanks for the patch.

I've had a quick look at it and although I can't say for
sure I think I'll need to make some changes, at least to
the master map red wait (using a patch I already have for
master map read wait).

Anyway, bottom line is, the change looks fine and I'll get
onto it as soon as I can.

Comment 3 Fedora Update System 2017-12-19 23:39:08 UTC
autofs-5.1.4-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-21cb07e1d3

Comment 4 Fedora Update System 2017-12-19 23:44:20 UTC
autofs-5.1.4-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-593cc5120d

Comment 5 Fedora Update System 2017-12-21 20:25:16 UTC
autofs-5.1.4-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-21cb07e1d3

Comment 6 Fedora Update System 2017-12-21 21:10:40 UTC
autofs-5.1.4-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-593cc5120d

Comment 7 Fedora Update System 2017-12-22 03:21:16 UTC
autofs-5.1.4-4.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-eda74692fc

Comment 8 Fedora Update System 2017-12-22 03:21:34 UTC
autofs-5.1.4-4.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-164b3ee23a

Comment 9 Fedora Update System 2017-12-22 12:43:23 UTC
autofs-5.1.4-4.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-eda74692fc

Comment 10 Fedora Update System 2017-12-22 13:16:09 UTC
autofs-5.1.4-4.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-164b3ee23a

Comment 11 Fedora Update System 2018-02-01 07:17:50 UTC
autofs-5.1.4-5.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-eda74692fc

Comment 12 Fedora Update System 2018-02-01 07:42:08 UTC
autofs-5.1.4-5.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-164b3ee23a

Comment 13 Fedora Update System 2018-02-01 19:09:23 UTC
autofs-5.1.4-5.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-164b3ee23a

Comment 14 Fedora Update System 2018-02-01 19:30:19 UTC
autofs-5.1.4-5.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-eda74692fc

Comment 15 Fedora Update System 2018-02-09 11:27:34 UTC
autofs-5.1.4-5.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2018-02-09 16:29:35 UTC
autofs-5.1.4-5.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.